<template>
<section class="hero is-dark">
  <div class="hero-body">
    <div class="container">
      <h1 class="title">
        {{ $t('home.title') }}
      </h1>
      <h2 class="subtitle">
	{{ $t('home.subtitle') }}
      </h2>

      <div class="columns" >
	<div class="column is-one-quarter">
	  <b-icon
	     pack="fas"
	     icon="user-secret"
	     size="is-large"
	     type="is-light">
	  </b-icon>
	  <h3>{{ $t('home.user-secret') }}</h3>
	</div>
	<div class="column">
	  <b-icon
	     pack="fas"
	     icon="eye-slash"
	     size="is-large"
	     type="is-light">
	  </b-icon>
	  <h3>{{ $t('home.eye-slash') }}</h3>
	</div>
	<div class="column">
	  <b-icon
	     pack="fas"
	     icon="key"
	     size="is-large"
	     type="is-light">
	  </b-icon>
	  <h3>{{ $t('home.key') }}</h3>
	</div>
	<div class="column">
	  <b-icon
	     icon="shield-lock"
	     size="is-large"
	     type="is-light">
	  </b-icon>
	  <h3>{{ $t('home.shield-lock') }}</h3>
	</div>
      </div>
 <b-button tag="router-link"
                to="/beta/register"
                type="is-link"
		icon-left="account-plus">
                {{$t('RegisterBeta.title')}}
            </b-button>
    </div>
  </div>
       <div class="columns" >
        <div class="column is-offset-one-third is-one-third">
	  <iframe :src="this.totalUsersURL" frameborder="0" scrolling="0"></iframe>
	</div>
       </div>
</section>
</template>

<script>
export default {
    data (){
	return {
	 totalUsersURL: "test"
	}
    },
    created() {
    	var self = this;    	
        this.axios.get(process.env.VUE_APP_ROOT_API + '/metabase/getMetrics')
	 .then(function(response){
		self.totalUsersURL = response.data.totalUsers;	
		console.log(self.totalUsersURL);
	 })
         .catch(function(error){
		console.log(error);
         });
    }
}
</script>
